Debian Bug report logs - #598848
gnome-nettool: On kfreebsd is mostly non-functional.

version graph

Package: gnome-nettool; Maintainer for gnome-nettool is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for gnome-nettool is src:gnome-nettool.

Reported by: Michael Dorrington <michael.dorrington@gmail.com>

Date: Sat, 2 Oct 2010 16:15:02 UTC

Severity: important

Found in version gnome-nettool/2.30.0-1

Fixed in version gnome-nettool/3.1.1-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#598848; Package gnome-nettool. (Sat, 02 Oct 2010 16:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Dorrington <michael.dorrington@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-bsd@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sat, 02 Oct 2010 16:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Dorrington <michael.dorrington@gmail.com>
To: submit@bugs.debian.org
Subject: gnome-nettool: On kfreebsd is mostly non-functional.
Date: Sat, 02 Oct 2010 17:03:22 +0100
[Message part 1 (text/plain, inline)]
Package: gnome-nettool
Version: 2.30.0-1
Severity: important
User: debian-bsd@lists.debian.org
Usertags: kfreebsd
X-Debbugs-CC: debian-bsd@lists.debian.org

On kfreebsd the various networking tools of gnome-nettool
(Applications->System Tools->Network Tools) generally do not work and
using them causes the whole application to lock up. The Devices tab has
missing information on the network card such that it is Ethernet and
what its hardware address is. When run from the command line, using the
tools produce error messages to the console such as:

kvm_open: kvm_nlist: No such file or directory

and

netstat: kvm not available: inet6: No such file or directory

It appears that gnome-nettool (and perhaps some of the libraries and
programs it relies on) have not been adapted for kfreebsd so leaving
gnome-nettool mostly non-functional on kfreebsd.

Regards,
Mike.

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: kfreebsd-i386 (i686)

Kernel: kFreeBSD 8.1-1-686
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages gnome-nettool depends on:
ii  dnsutils               1:9.7.1.dfsg.P2-2 Clients provided with BIND
ii  freebsd-net-tools [net 8.1-2             FreeBSD networking tools
ii  inetutils-ping [ping]  2:1.6-3+b1        ICMP echo tool
ii  libc0.1                2.11.2-6          Embedded GNU C Library:
Shared lib
ii  libgconf2-4            2.28.1-3          GNOME configuration
database syste
ii  libglib2.0-0           2.24.2-1          The GLib library of C routines
ii  libgtk2.0-0            2.20.1-1+b1       The GTK+ graphical user
interface
ii  libgtop2-7             2.28.1-1          gtop system monitoring
library (sh
ii  libpango1.0-0          1.28.1-1          Layout and rendering of
internatio
ii  tcptraceroute          1.5beta7+debian-4 traceroute implementation
using TC
ii  whois                  5.0.7             an intelligent whois client

gnome-nettool recommends no packages.

Versions of packages gnome-nettool suggests:
ii  gnome-system-tools            2.30.2-1   Cross-platform
configuration utili

-- no debconf information

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sun, 01 Apr 2012 10:36:27 GMT) Full text and rfc822 format available.

Notification sent to Michael Dorrington <michael.dorrington@gmail.com>:
Bug acknowledged by developer. (Sun, 01 Apr 2012 10:36:56 GMT) Full text and rfc822 format available.

Message #10 received at 598848-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 598848-close@bugs.debian.org
Subject: Bug#598848: fixed in gnome-nettool 3.1.1-1
Date: Sun, 01 Apr 2012 10:33:01 +0000
Source: gnome-nettool
Source-Version: 3.1.1-1

We believe that the bug you reported is fixed in the latest version of
gnome-nettool, which is due to be installed in the Debian FTP archive:

gnome-nettool_3.1.1-1.debian.tar.gz
  to main/g/gnome-nettool/gnome-nettool_3.1.1-1.debian.tar.gz
gnome-nettool_3.1.1-1.dsc
  to main/g/gnome-nettool/gnome-nettool_3.1.1-1.dsc
gnome-nettool_3.1.1-1_amd64.deb
  to main/g/gnome-nettool/gnome-nettool_3.1.1-1_amd64.deb
gnome-nettool_3.1.1.orig.tar.xz
  to main/g/gnome-nettool/gnome-nettool_3.1.1.orig.tar.xz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598848@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated gnome-nettool package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 01 Apr 2012 10:55:45 +0200
Source: gnome-nettool
Binary: gnome-nettool
Architecture: source amd64
Version: 3.1.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 gnome-nettool - network information tool for GNOME
Closes: 550991 598848
Changes: 
 gnome-nettool (3.1.1-1) unstable; urgency=low
 .
   * New upstream release.
     - finger should work again (closes: #550991).
   * Watch for unstable versions too, as nettool doesn't seem to be
     following GNOME versioning strictly.
   * Depend on nmap for port scanning, and finger.
   * Update to debhelper v9.
   * Drop usage of dh_buildinfo.
   * Drop usage of DH_ALWAYS_EXCLUDE, using a modern dpkg should be enough.
   * Rewrite copyright file in machine-readable format 1.0.
   * Bump Standards-Version to 3.9.3.
   * Stop building gnome-nettool for kFreeBSD architectures (closes: #598848).
Checksums-Sha1: 
 b39be10823c4c5eb9ad2e4a52f27526b734e9cc3 1630 gnome-nettool_3.1.1-1.dsc
 f822d3c34594e92df939c876a5793a37f2c733ec 583800 gnome-nettool_3.1.1.orig.tar.xz
 75aad492f9f2b40abf51090e2e7dc30dca898a8d 8164 gnome-nettool_3.1.1-1.debian.tar.gz
 6795f5e23fcd171b694c05157765712df173ea59 496664 gnome-nettool_3.1.1-1_amd64.deb
Checksums-Sha256: 
 f580157ae80b37b5e8592bac110215862cdb1e58c944bd4b60a4a9236c1decb0 1630 gnome-nettool_3.1.1-1.dsc
 1e0430c94084484f234864c160e6252552d54bb72c163d3e451641045429901c 583800 gnome-nettool_3.1.1.orig.tar.xz
 4bf914566490ded8f0da11a48d168cd00475f3ff212821b5735ecbe31b5ca52a 8164 gnome-nettool_3.1.1-1.debian.tar.gz
 63c5f7644c769252afce80b106f46aab0e8b943e585f3dc0577e623de7fe47aa 496664 gnome-nettool_3.1.1-1_amd64.deb
Files: 
 13e2bc26af6320a2a2018bccca198389 1630 gnome optional gnome-nettool_3.1.1-1.dsc
 ed33d33472e29e648d2605ab8ac1bcbb 583800 gnome optional gnome-nettool_3.1.1.orig.tar.xz
 d0c6137fc6697f9d09e67abbda6212ee 8164 gnome optional gnome-nettool_3.1.1-1.debian.tar.gz
 263f25ebc444821f20f9e5a5fe181252 496664 gnome optional gnome-nettool_3.1.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk94KwUACgkQJYSUupF6Il5mwQCg2bO6FJjOhagiZsJ1MAIVeCsG
qXsAniE8jMngkPeT+8Zrd88IrMTVZ5WO
=y17+
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 May 2012 07:38:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:55:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.